Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.setuid
Class Passwd

    java.lang.Object
      org.mortbay.setuid.Passwd

    public class Passwd

extends java.lang.Object

Class is the equivalent java class used for holding values from native c code structure passwd. for more information please see man pages for getpwuid and getpwnam struct passwd { char *pw_name; // user name char *pw_passwd; // user password uid_t pw_uid; // user id gid_t pw_gid; // group id char *pw_gecos; // real name char *pw_dir; // home directory char *pw_shell; // shell program };

Author:
  Leopoldo Lee Agdeppa III

Constructor Summary
`Passwd()`

Method Summary
`java.lang.String` | `getPwDir()`
`java.lang.String` | `getPwGecos()`
`int` | `getPwGid()`
`java.lang.String` | `getPwName()`
`java.lang.String` | `getPwPasswd()`
`java.lang.String` | `getPwShell()`
`int` | `getPwUid()`
`void` | `setPwDir(java.lang.String pwDir)`
`void` | `setPwGid(int pwGid)`
`void` | `setPwGid(java.lang.String pwGecos)`
`void` | `setPwName(java.lang.String pwName)`
`void` | `setPwPasswd(java.lang.String pwPasswd)`
`void` | `setPwShell(java.lang.String pwShell)`
`void` | `setPwUid(int pwUid)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Passwd

    public Passwd()

Method Detail

### getPwName

    public java.lang.String getPwName()

### setPwName

    public void setPwName(java.lang.String pwName)

### getPwPasswd

    public java.lang.String getPwPasswd()

### setPwPasswd

    public void setPwPasswd(java.lang.String pwPasswd)

### getPwUid

    public int getPwUid()

### setPwUid

    public void setPwUid(int pwUid)

### getPwGid

    public int getPwGid()

### setPwGid

    public void setPwGid(int pwGid)

### getPwGecos

    public java.lang.String getPwGecos()

### setPwGid

    public void setPwGid(java.lang.String pwGecos)

### getPwDir

    public java.lang.String getPwDir()

### setPwDir

    public void setPwDir(java.lang.String pwDir)

### getPwShell

    public java.lang.String getPwShell()

### setPwShell

    public void setPwShell(java.lang.String pwShell)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.